# Decision Model Lookup

{% hint style="success" %}
Summary

With these services, you are able to view existing decision models created by your business.&#x20;
{% endhint %}

## Introduction

Decisioning is a very important part of the lending cycle, which is why Adjutor provides endpoints that allow you fetch all the decision models that you have configured on the Lendsqr platform.&#x20;

Below are the API services available for usage:&#x20;

<table><thead><tr><th width="221">API Endpoint</th><th>Description</th></tr></thead><tbody><tr><td><a href="#get-all-decision-models">Get all decision models</a></td><td>This endpoint fetches all the decision models that you have configured on the Lendsqr platform.</td></tr><tr><td><a href="#get-details-of-a-single-decision-model">Get details of a single decision model</a></td><td>This endpoint fetches an individual decision model and its settings that have been configured on your platform.</td></tr></tbody></table>

## Get all decision models

This endpoint fetches all the decision models that you have configured on the Lendsqr platform. This endpoint returns all the decision model data you have on your platform irrespective of whether they have been activated or not.&#x20;

```bash
curl --location 'https://adjutor.lendsqr.com/v2/decisioning/models/:id/settings'
```

## Get details of a single decision model&#x20;

This endpoint fetches an individual decision model and its settings that have been configured on your platform using the decision model id.

```bash
curl --location 'https://adjutor.lendsqr.com/v2/decisioning/models/:id/settings'
```

```json
{
    "status": "success",
    "message": "Successful",
    "data": [
        {
            "id": 20,
            "product_id": null,
            "version_id": 33,
            "org_id": 1,
            "name": "Test Decision Model",
            "description": "testing",
            "decision_setting": {
                "karma": {
                    "required": true,
                    "sequence": 1,
                    "continue_on_failure": false,
                    "pre_offer": true
                },
                "ecosystem": {
                    "required": true,
                    "sequence": 2,
                    "continue_on_failure": false,
                    "pre_offer": true
                },
                "scoring": {
                    "minimum": 50,
                    "required": true,
                    "sequence": 3,
                    "continue_on_failure": false,
                    "pre_offer": true
                },
                "credit_bureau": {
                    "provider": "CRC",
                    "required": true,
                    "sequence": 4,
                    "continue_on_failure": false
                }
            },
            "offer_setting": [
                {
                    "rule": {
                        "*": [
                            1,
                            {
                                "var": [
                                    "requested_amount"
                                ]
                            }
                        ]
                    },
                    "maximum": 10000000,
                    "minimum": 1000
                }
            ],
            "status": "active",
            "created_on": "2021-07-31T08:06:27.000Z"
        }
    ]
}
```

In the case where you have no decision model configured, the endpoint returns an empty array.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adjutor.io/adjutor-api-endpoints/decisioning/decision-model-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
